GET /coupons/channel/{channelLinkId}/coupons

GET Coupon

Path parameters

  • channelLinkId string Required

Query parameters

  • size integer

    Default value is 25.

  • page integer

    Default value is 1.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • total integer

      Default value is 0.

    • page integer

      Default value is 0.

    • size integer

      Default value is 0.

    • items array[object]
      Hide items attributes Show items attributes object
      • code string
      • isEnabled boolean

        Default value is true.

      • type string
      • isHidden boolean

        Default value is true.

      • discounts array[object]
        Hide discounts attributes Show discounts attributes object
        • type string
        • value integer

          Default value is 0.

        • currency string
        • plus array[string]
        • display string
      • conditions array[object]
        Hide conditions attributes Show conditions attributes object
        • type string
        • maxUsesPerCoupon integer

          Default value is 0.

      • description string
      • id string
      • accountId string
      • timesUsed integer

        Default value is 0.

      • created string
      • updated string
  • 404 application/json

    Not Found

    Hide response attributes Show response attributes object
    • code string Required
    • message string Required
    • context object
GET /coupons/channel/{channelLinkId}/coupons
curl \
 --request GET 'https://api.staging.deliverect.com/coupons/channel/{channelLinkId}/coupons' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "total": 1,
  "page": 1,
  "size": 50,
  "items": [
    {
      "code": "D23",
      "isEnabled": true,
      "type": "item",
      "isHidden": false,
      "discounts": [
        {
          "type": "flat_off",
          "value": 1234,
          "currency": "EUR",
          "plus": [
            "ABC-123",
            "DEF-456"
          ],
          "display": "12.34"
        }
      ],
      "conditions": [
        {
          "type": "max_uses_per_coupon",
          "maxUsesPerCoupon": 3
        },
        {
          "type": "locations",
          "locationIds": [
            "68434f75202fe35540a31c23"
          ]
        }
      ],
      "description": "my coupon",
      "id": "690e1ef7a856cfe57553a9e1",
      "accountId": "681cbecf4ae843d500e25e47",
      "timesUsed": 0,
      "created": "2025-11-07T16:31:51.508000Z",
      "updated": "2025-11-07T16:31:51.509000Z"
    }
  ]
}
Response examples (404)
{
  "code": "coupon_not_found",
  "message": "coupon not found",
  "context": {}
}